Class PhusionPassenger::ClassicRails::CGIFixed |
In: | lib/phusion_passenger/classic_rails/cgi_fixed.rb
Parent: | ::CGI

Modifies CGI so that we can use it. Main thing it does is expose the stdinput and stdoutput so RequestHandler can connect them to the right sources. It also exposes the env_table so that RequestHandler can hook the request parameters into the environment table.

This is partially based on the FastCGI code, but much of the Ruby 1.6 backwards compatibility is removed.

Methods

- args
- env_table
- new
- stdinput
- stdoutput

Public Class methods
new(params, input, output, *args)

[ show source ]

        # File lib/phusion_passenger/classic_rails/cgi_fixed.rb, line 42
    42:         def initialize(params, input, output, *args)
    43:                 @env_table = params
    44:                 @args = *args
    45:                 @input = input
    46:                 @out = output
    47:                 super(*args)
    48:         end

Public Instance methods
args()

[ show source ]

        # File lib/phusion_passenger/classic_rails/cgi_fixed.rb, line 50
    50:         def args
    51:                 @args
    52:         end

env_table()

[ show source ]

        # File lib/phusion_passenger/classic_rails/cgi_fixed.rb, line 54
    54:         def env_table
    55:                 @env_table
    56:         end

stdinput()

[ show source ]

        # File lib/phusion_passenger/classic_rails/cgi_fixed.rb, line 58
    58:         def stdinput
    59:                 @input
    60:         end

stdoutput()

[ show source ]

        # File lib/phusion_passenger/classic_rails/cgi_fixed.rb, line 62
    62:         def stdoutput
    63:                 @out
    64:         end